----------------------------------------------------------------------------------
-- Company: www.ghadeer.net
-- Engineer: Ghassan Bati
-- 
-- Create Date:    14:43:12 12/04/2007 
-- Module Name:    alu - Behavioral 
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity alu is
    Port ( a : in  STD_LOGIC;
           b : in  STD_LOGIC;
           s : in  STD_LOGIC_VECTOR (1 downto 0);
           f : out  STD_LOGIC);
end alu;

architecture Behavioral of alu is

begin
		alu: process (a,b,s)
		begin
				case s is
					when "00" => f <= a or b;
					when "01" => f <= a or b;
					when "10" => f <= a xor b;
					when "11" => f <= not a;
					when others => f <= '0';
				end case;
		end process;
--
end Behavioral;